Problems running on Ubuntu 9.04

Problems and solutions for installing or running FreeOrion, including discussion of bugs if needed before posting a bug report on GitHub. For problems building from source, post in Compile.

Moderator: Oberlus

Message
Author
agaric
Space Krill
Posts: 6
Joined: Sun May 03, 2009 7:33 pm

Re: Problems running on Ubuntu 9.04

#16 Post by agaric »

Here's an strace of freeorion "~/Games/freeorion/freeorion --strace".
See attached file.
Attachments
freeorion.trace.zip
(8.95 KiB) Downloaded 79 times

agaric
Space Krill
Posts: 6
Joined: Sun May 03, 2009 7:33 pm

Re: Problems running on Ubuntu 9.04

#17 Post by agaric »

here's a new strace
Attachments
freeorion.trace.zip
(8.95 KiB) Downloaded 76 times

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Problems running on Ubuntu 9.04

#18 Post by kroddn »

I installed a ubuntu chroot now - and I also installed nvidia drivers. But one thing is strange: the openGL libs are NOT from nvidia. Maybe that's a problem.

Please do:

Code: Select all

dpkg -S /usr/lib/libGL.so
And

Code: Select all

vdir /usr/lib/libGL.so
On my Lenny system:

Code: Select all

/usr/lib/libGL.so.1 -> libGL.so.180.51
This means, my open GL lib comes from nvidia.

On Ubuntu 9.04, you should try:

Code: Select all

sudo apt-get install nvidia-glx-180
This should install all nvidia glx stuff, so that open GL > 2.0 is available.

agaric
Space Krill
Posts: 6
Joined: Sun May 03, 2009 7:33 pm

Re: Problems running on Ubuntu 9.04

#19 Post by agaric »

Hmm, i still think that i have all the nvidia drivers correct. I did the sudo apt-get install, it said it's allready the newest version. Then i used synaptics reinstall option. After that:

$ dpkg -S /usr/lib/libGL.so
libgl1-mesa-dev: /usr/lib/libGL.so

$ vdir /usr/lib/libGL.so
lrwxrwxrwx 1 root root 10 2009-05-06 17:53 /usr/lib/libGL.so -> libGL.so.1

and
$ vdir /usr/lib/libGL.so.1
lrwxrwxrwx 1 root root 15 2009-05-07 19:39 /usr/lib/libGL.so.1 -> libGL.so.180.44

Should libGL.so link straight to libGL.so.180.44?(don't think it matters but).

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Problems running on Ubuntu 9.04

#20 Post by kroddn »

That does not matter, links can fallow a very long path to the target.

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Problems running on Ubuntu 9.04

#21 Post by kroddn »

I compiled a version ONLY FOR Ubuntu 9.04 - please try out that:
http://freeorion.psitronic.de/download/ (choose the latest ubuntu version)

When trying out, it is possible that some libraries are missing - these have to be installed with Ubuntu packet manager or with apt:

As far as i remember, those are these:

Code: Select all

sudo apt-get install libvorbis0a libopenal1 libalut0 libpng12-0 libfreetype6 libgraphviz4 libogg0 libpython2.6 libglu1-mesa
sudo apt-get install libboost-iostreams1.37.0 libboost-python1.37.0 libboost-filesystem1.37.0 libboost-thread1.37.0 
If something is/was missing, please report it here. I will add it and update the run-script accordingly.

You MUST have nvidia drivers installed on the system, or open GL will not work (and therefore FreeOrion will not work). On my system those:

Code: Select all

sudo apt-get install nvidia-glx-180

eremit7
Space Krill
Posts: 1
Joined: Sat May 23, 2009 6:34 pm

Re: Problems running on Ubuntu 9.04

#22 Post by eremit7 »

I did find time to try it out until now, just if you wonder why there are downloads but no replys.

Before I download a bunch of dependencies I got two questions:

Is this deb for 32 or 64 bit ? (In case of 32 bit don't mind, I'll compile.) And are the Nvidia-Drivers necessary even for ATI-Cards?

Eremit7

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Problems running on Ubuntu 9.04

#23 Post by OndrejR »

eremit7 wrote:Is this deb for 32 or 64 bit ? (In case of 32 bit don't mind, I'll compile.)
It is for 32 bit, but if you have installed 32bit libs and OpenGL driver for 32 bit, then you can run it also in 64bit environment.
eremit7 wrote:And are the Nvidia-Drivers necessary even for ATI-Cards?
No. Only ATI driver is required(if you run compiled). But if you want to compile it, then there is also required to install nvidia-cg-toolkit according wiki linux compile howto. And there is another problem on some ATI cards.

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Problems running on Ubuntu 9.04

#24 Post by kroddn »

OndrejR is right. Of course, you need ati drivers that support open GL for an ATI card instead of that nvidia stuff.

But ATI cards are known to make problems - we cannot say, which ATI cards are working for now - if somebody is able to run FreeOrion with an ATI card, please report that!

User avatar
bhelyer
Space Floater
Posts: 41
Joined: Tue Aug 28, 2007 3:51 am

Re: Problems running on Ubuntu 9.04

#25 Post by bhelyer »

I can, after lopping out some code.

linky

By default, no, no I can't.

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Problems running on Ubuntu 9.04

#26 Post by OndrejR »

bhelyer wrote:I can, after lopping out some code.

linky

By default, no, no I can't.
Problem is that tech-demo will be required to run in version 0.4 although I don't know when combat will be enabled in FreeOrion.

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12770
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: Problems running on Ubuntu 9.04

#27 Post by Geoff the Medio »

OndrejR wrote:Problem is that tech-demo will be required to run in version 0.4 although I don't know when combat will be enabled in FreeOrion.
Not necessarily... We'll need a non-graphical way to resolve combat, so assuming we have one, it could probably be used for all combat resolution, should that be desired or required by someone.

User avatar
bhelyer
Space Floater
Posts: 41
Joined: Tue Aug 28, 2007 3:51 am

Re: Problems running on Ubuntu 9.04

#28 Post by bhelyer »

Just another excuse to upgrade my GPU.

User avatar
kroddn
Static Linker
Posts: 347
Joined: Thu Jun 28, 2007 10:28 am

Re: Problems running on Ubuntu 9.04

#29 Post by kroddn »

I released a new version of FreeOrion, which now has that Ogre stuff linked in statically. I tested it on a Ubuntu 9.04 chroot.

Please let me know if v0.3.13 Linux runs successfully on Ubuntu 9.04 systems:

https://sourceforge.net/project/showfil ... _id=111134

rivas
Space Krill
Posts: 1
Joined: Tue May 26, 2009 12:57 pm

Re: Problems running on Ubuntu 9.04

#30 Post by rivas »

kroddn wrote:I released a new version of FreeOrion, which now has that Ogre stuff linked in statically. I tested it on a Ubuntu 9.04 chroot.

Please let me know if it runs successfully on Ubuntu 9.04 systems:

http://freeorion.psitronic.de/download/ ... tic.tar.gz
try on Ubuntu 9.04
get:
freeorion: OgreRoot.cpp:103: static Ogre::Root& Ogre::Root::getSingleton(): Assertion `ms_Singleton' failed.
Aborted

Post Reply